-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                     
--                                                                   
-- 5724-C51                                                          
--                                                                   
--  Copyright IBM Corp. 2008 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/tables/ev_watch_attr_filter_temp.sql, tbsm_base, tbsm_base31e
-- SID: 1.1
-- Date Modified: 08/03/03 05:48:17
--
-- Module Description
--   Defines the ev_watch_attr_filter_temp table
--   Used by the ABSConfig.ksh script to store ev_watch_attr_filter
--   records during script execution.

Use Object
GO

-------------------------------------------------------------------------
-- ev_watch_attr_filter_temp
IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'ev_watch_attr_filter_temp' AND type = 'U')
BEGIN
  PRINT 'ev_watch_attr_filter_temp already exists. No changes made to ev_watch_attr_filter_temp'
END
ELSE
BEGIN
EXEC('
PRINT ''Creating table ev_watch_attr_filter_temp''  
  CREATE TABLE ev_watch_attr_filter_temp (
    cid 		ClassID NOT NULL, 				       	-- can be abstract base or spefic class, abstract entries get expanded into table below
    attribute_name   	NVARCHAR(54) NOT NULL,					-- either a base attr common to all classes (as per _C tables) or an entry from obj_attr
    extended 	   	TINYINT NOT NULL DEFAULT 1 CHECK (extended in (0,1)),  	-- extended would be an "attribute" in the _A table for the class, although in "consolidated" classes it is actually in the _C table...but still with the prepended "_" naming convention on the columns
    active 	   	BIT NOT NULL DEFAULT 1,					-- only active filters are examined (gives ability to disable a filter without deleting it)
    salience	   	INTEGER NOT NULL DEFAULT 0,				-- if multiple watch entries match a given insert/update for an object, only the one(s) with the highest salience will be considered
    val_inserted_pat 	NVARCHAR(256) NOT NULL DEFAULT "%",       		-- used for "like" matching on inserted rows to filter out unwanted entries
    val_deleted_pat  	NVARCHAR(256) NOT NULL DEFAULT "%",			-- used for "like" matching on deleted rows to filter out unwanted entries
    enqueue	   	BIT NOT NULL DEFAULT 1					-- if this set of watch criteria is matched, is the action to include (enqueue=1) or exclude (enqueue=0) the row?
  )
')
END
GO

