-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
--  Copyright IBM Corp. 2006 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/tracks/oa24744.sql, tbsm, tbsm_base31e
-- SID: 1.4
-- Date Modified: 08/08/20 17:05:25
--
-- Module Description
--  Create Staged Event to delete XRC Volume Pairs with NULL PrimarySCIDs
-----------------------------------------------------------------------------------------

USE Object
GO
SET NOCOUNT ON
GO
BEGIN TRAN
GO
DECLARE @id INT
DECLARE @err INT
DECLARE @rc INT
DECLARE @msg NVARCHAR(1024)

SELECT @rc=0, @err=0
SELECT @id = min(id) FROM XRCVolumePair_C WHERE deleted = 0 AND _PrimarySCID IS NULL

WHILE @id IS NOT NULL AND @err=0 AND @rc=0
BEGIN
  SELECT @msg = 'Deleting XRC Volume Pair with ID = ' + convert(nvarchar(10),@id) + '.'
  RAISERROR('%s',0,1,@msg) WITH NOWAIT

  EXEC @rc=_DeleteInContext 'XRCP', @id
  SELECT @err = @@error
  SELECT @id = min(id) FROM XRCVolumePair_C WHERE deleted = 0 AND _PrimarySCID IS NULL AND id > @id
END

IF @rc=0 and @err=0
  COMMIT TRAN
ELSE
  ROLLBACK TRAN
GO


